### Function

# FwupdPlugin crc16

#### Declaration [src]

    guint16
    fu_crc16 (
      FuCrcKind kind,
      const guint8* buf,
      gsize bufsz
    )

#### Description [src]

Returns the cyclic redundancy check value for the given memory buffer.

Available since: | 2.0.0

#### Parameters

`kind` | `FuCrcKind`
| A `FuCrcKind`, typically `FU_CRC_KIND_B16_XMODEM`.
`buf` | `const guint8*`
| Memory buffer.
| The data is owned by the caller of the function.
`bufsz` | `gsize`
| Size of `buf`.

#### Return value

Returns: | `guint16`
| CRC value.